Create Trigger
POST
/triggersAuthorization
bearerAuth AuthorizationBearer <token>
Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST \ "https://api.maton.ai/triggers" \ -H "Authorization: Bearer $MATON_API_KEY" \ -H "Content-Type: application/json" \ -d '{"source": "github", "event_type": "pull_request.opened", "connection_id": "{connection_id}", "parameters": {"repository_full_name": "maton-ai/cli"}, "destinations": [{"url": "https://example.com/hook", "method": "POST"}]}'{
"trigger": {
"trigger_id": "8a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"source": "github",
"event_type": "pull_request.opened",
"name": "PR opened",
"description": null,
"parameters": {
"repository_full_name": "maton-ai/cli"
},
"connection_id": "5d0c1f8e-3a2b-4c6d-8e9f-0a1b2c3d4e5f",
"destinations": [
{
"destination_id": "3f1a9c2e-7b4d-4e8a-9c1f-2d3e4a5b6c7d",
"url": "https://example.com/hook",
"name": "prod",
"status": "ENABLED",
"reason": null
}
],
"status": "ENABLED",
"reason": null,
"created_at": "2026-05-25T23:24:38.079501Z",
"updated_at": "2026-05-25T23:24:38.079501Z"
}
}{
"message": "Invalid app name.",
"type": "Bad Request",
"code": 400
}{
"message": "Invalid API key.",
"type": "Unauthorized",
"code": 401
}{
"message": "Too many requests.",
"type": "Too Many Requests",
"code": 429
}{
"message": "Internal server error.",
"type": "Internal Server Error",
"code": 500
}